class: CommandLineTool
cwlVersion: v1.1


requirements:
- class: InlineJavascriptRequirement
- class: ResourceRequirement
  ramMin: 3814
  coresMin: 2
- class: DockerRequirement
  dockerPull: yyasumizu/vdjtools


inputs:

  clonotypes_file:
    type: File
    inputBinding:
      position: 10

  output_prefix:
    type: string?
    default: "./"
    inputBinding:
      position: 11


outputs:

  vdj_file:
    type: File
    outputBinding:
      glob: "*.gz"


baseCommand: ["vdjtools", "Convert", "--compress", "--software", "MiXcr"]


$namespaces:
  s: http://schema.org/

$schemas:
- https://github.com/schemaorg/schemaorg/raw/main/data/releases/11.01/schemaorg-current-http.rdf

label: "VDJtools Convert from MiXcr"
s:name: "VDJtools Convert from MiXcr"
s:alternateName: "Converts datasets from MiXcr format to VDJtools format"

s:downloadUrl: https://raw.githubusercontent.com/Barski-lab/workflows/master/tools/vdjtools-convert.cwl
s:codeRepository: https://github.com/Barski-lab/workflows
s:license: http://www.apache.org/licenses/LICENSE-2.0

s:isPartOf:
  class: s:CreativeWork
  s:name: Common Workflow Language
  s:url: http://commonwl.org/

s:creator:
- class: s:Organization
  s:legalName: "Cincinnati Children's Hospital Medical Center"
  s:location:
  - class: s:PostalAddress
    s:addressCountry: "USA"
    s:addressLocality: "Cincinnati"
    s:addressRegion: "OH"
    s:postalCode: "45229"
    s:streetAddress: "3333 Burnet Ave"
    s:telephone: "+1(513)636-4200"
  s:logo: "https://www.cincinnatichildrens.org/-/media/cincinnati%20childrens/global%20shared/childrens-logo-new.png"
  s:department:
  - class: s:Organization
    s:legalName: "Allergy and Immunology"
    s:department:
    - class: s:Organization
      s:legalName: "Barski Research Lab"
      s:member:
      - class: s:Person
        s:name: Michael Kotliar
        s:email: mailto:misha.kotliar@gmail.com
        s:sameAs:
        - id: http://orcid.org/0000-0002-6486-3898


doc: |
  VDJtools is an open-source Java/Groovy-based framework designed to facilitate analysis of
  immune repertoire sequencing (RepSeq) data. VDJtools computes a wide set of statistics and
  is able to perform various forms of cross-sample analysis. Both comprehensive tabular output
  and publication-ready plots are provided.
  
  Converts datasets from MiXcr format to VDJtools format. Output from MiXCR software export
  routine in full (default) mode can be used without any pre-processing.


s:about: |
  usage: Convert [options] [sample1 sample2 sample3 ... if -m is not
                specified] output_prefix
  -c,--compress              Compress output sample files.
  -h                         display help message
  -m,--metadata <filename>   Metadata file. First and second columns should
                              contain file name and sample id. Header is
                              mandatory and will be used to assign column
                              names for metadata.
  -S,--software <string>     Input RepSeq data format. Currently supported:
                              MiTcr, MiXcr, MiGec, MigMap, ImmunoSeq,
                              ImmunoSeqV2, ImgtHighVQuest, ImSeq, Vidjil,
                              RTCR, VDJtools, VDJtoolsRenorm